#
# ulpk01.rb
#
# $Id: ulpk01.rb,v 1.1 2000/11/22 14:35:58 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


nbl = 2

#-- data ---
bl = NArray[1.0, 3.0]

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn(-(iws.abs))

DCL::sglset('LFULL', true)
DCL::uzfact(0.7)
DCL::slrat(0.75, 1.0)
DCL::sldiv('T', 1, 7)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.15, 200.0, 0.1, 1e5)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(4)
DCL::sgstrf
DCL::uliset('IXTYPE', 1)
DCL::ulxlog('B', 1, 9)
ctl = 'ULXLOG (IXTYPE=1,NLBL=1,NTCK=9)'
DCL::uxsttl('B', ctl, 0.0)

DCL::sglset('LCNTL', true)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.15, 200.0, 0.1, 1e5)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(4)
DCL::sgstrf
DCL::uliset('IXTYPE', 1)
DCL::ulxlog('B', 3, 9)
ctl = 'ULXLOG (IXTYPE=1,NLBL=3,NTCK=9)'
DCL::uxsttl('B', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.15, 200.0, 0.1, 1e5)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(4)
DCL::sgstrf
DCL::uliset('IXTYPE', 2)
DCL::ulxlog('B', 3, 9)
ctl = 'ULXLOG (IXTYPE=2,NLBL=3,NTCK=9)'
DCL::uxsttl('B', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.15, 200.0, 0.1, 1e5)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(4)
DCL::sgstrf
DCL::uliset('IXTYPE', 3)
DCL::ulxlog('B', 3, 9)
ctl = 'ULXLOG (IXTYPE=3,NLBL=3,NTCK=9)'
DCL::uxsttl('B', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.15, 200.0, 0.1, 1e5)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(4)
DCL::sgstrf
DCL::uliset('IXTYPE', 4)
DCL::ulxlog('B', 3, 9)
ctl = 'ULXLOG (IXTYPE=4,NLBL=3,NTCK=9)'
DCL::uxsttl('B', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.15, 200.0, 0.1, 1e5)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(4)
DCL::sgstrf
DCL::ulxsfm('(F5.1)')
DCL::uliset('IXTYPE', 3)
DCL::ulxlog('B', 3, 9)
ctl = 'ULXLOG (IXTYPE=3,NLBL=3,NTCK=9)'
DCL::uxsttl('B', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.15, 200.0, 0.1, 1e5)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(4)
DCL::sgstrf
DCL::uliset('IXTYPE', 1)
DCL::uliset('IXCHR', 194)
DCL::ulsxbl(bl)
DCL::ulxlog('B', 4, 5)
ctl = 'ULXLOG (IXTYPE=1,NLBL=4,NTCK=5)'
DCL::uxsttl('B', ctl, 0.0)

DCL::sgcls

